运维开发网

jenkins-plugins – Jenkins Artifactory插件:请求版本信息时出错:连接被拒绝

运维开发网 https://www.qedev.com 2020-05-10 10:44 出处:网络 作者:运维开发网整理
当我在Jenkins配置中测试Artifactory插件的连接时,我收到错误“请求版本信息时发生错误:连接被拒绝”.我尝试在Artifactory中启用匿名访问,禁用匿名访问,并尝试在Artifactory中进行密码加密的所有三个选项(支持,不支持,必需).我在Jenkins Artifactory配置中有Default Deployer Credentials,我已经使用’Use Differe
当我在Jenkins配置中测试Artifactory插件的连接时,我收到错误“请求版本信息时发生错误:连接被拒绝”.我尝试在Artifactory中启用匿名访问,禁用匿名访问,并尝试在Artifactory中进行密码加密的所有三个选项(支持,不支持,必需).我在Jenkins Artifactory配置中有Default Deployer Credentials,我已经使用’Use Different Resolver Credentials’测试了连接,但没有.我一直都会遇到这个错误.

任何帮助/想法将不胜感激

我看到你刚才问过这个问题.我只是处理一个非常类似的情况.我已将根证书和中间证书加载到构建服务器上4版 Java下的cacerts文件中.问题是Jenkins在Jenkins安装文件夹中使用了它自己的cacerts文件.一旦我加载了证书,我就可以测试与神器的连接并上传构建工件.我希望这有帮助
0

精彩评论

暂无评论...
验证码 换一张
取 消